%{!?distro: %{expand: %%define distro fc2}}

Summary: The Asterisk Open Source PBX.
Name: asterisk
Version: 1.0.2
Release: %{distro}.1
Copyright: Modified GPL
Group: System Environment/Base
URL: http://www.digium.com/index.php?menu=documentation
Source0: ftp://ftp.digium.com/pub/telephony/asterisk/asterisk-%{version}.tar.gz
Source1: asterisk.init
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: zaptel, libpri
BuildRequires: zaptel, libpri

%description
Asterisk is a complete PBX in software. It runs on Linux and provides
all of the features you would expect from a PBX and more. Asterisk
does voice over IP in three protocols, and can interoperate with
almost all standards-based telephony equipment using relatively
inexpensive hardware.

Install Asterisk if you would like to build an inexpensive, heterogeneous
VoIP network.

%prep
%setup -q

%build
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
make samples DESTDIR=%{buildroot}
#make progdocs DESTDIR=%{buildroot}

# install SYSV init stuff
install -m755 -D %{SOURCE1} %{buildroot}/%{_initrddir}/asterisk

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add asterisk

%preun
if [ $1 = 0 ]; then
    /sbin/service asterisk stop > /dev/null 2>&1
    /sbin/chkconfig --del asterisk
fi

%files
%defattr(-,root,root)
%doc BUGS ChangeLog CREDITS HARDWARE LICENSE README SECURITY sounds.txt
%config %{_sysconfdir}/asterisk/*
%{_initrddir}/asterisk
%{_includedir}/asterisk/*
%{_libdir}/asterisk/modules/*
%{_mandir}/man8/*
%{_sbindir}/*
%{_localstatedir}/lib/*
%{_localstatedir}/spool/asterisk/*
%{_localstatedir}/log/asterisk/*

%changelog
* Tue Nov 23 2004 Gabriel L. Somlo <somlo@acns.colostate.edu>
- added defattr to fix file ownership
- added preun to clean up init script on uninstall
- replaced explicit references to var with localstatedir macro

* Wed Nov 17 2004 Gabriel L. Somlo <somlo@acns.colostate.edu>
- Updated to version 1.0.2
- removed 0.7.2.patch, using DESTDIR instead of INSTALL_PREFIX during build
- symlink cleanup no longer needed: make install creates absolute links (not relative), but it all works out OK when package is installed

* Thu Sep 23 2004 Gregory Boehnlein <damin@nacs.net>
- Updated to version 1.0
- Drank beer at Astricon

* Thu Aug 12 2004 Gregory Boehnlein <damin@nacs.net>
- Updated to version 1.0-RC2
- Replaced parking.conf with features.conf

* Sat Jul 17 2004 Gregory Boehnlein <damin@nacs.net>
- Updated to version 1.0-RC1

* Thu May 27 2004 Gregory Boehnlein <damin@nacs.net>
- Updated to version 0.9.0

* Wed Feb 04 2004 Gregory Boehnlein <damin@nacs.net>
- Updated to version 0.7.2

* Sat Jan 31 2004 Gregory Boehnlein <damin@nacs.net>
- Updated development environment to ensure proper build consistency for chan_zap
- Added post-install chkconfig to auto-start asterisk on boot
- First really useable release. Yay!

* Mon Jan 26 2004 Gregory Boehnlein <damin@nacs.net>
- Updated changelog entry to enable build on Fedora Core 1 <wrl@express.org>
- Made the decsision to use Dist Specific version numbers (_fc1,_rh9,_rh8,_rh73)

* Sat Jan 24 2004 Gregory Boehnlein <damin@nacs.net>
- added doc macros
- added config macros
- updated install stanza to correct symlink issue
- updated patch0 to include changes to Makefile
- added /etc/rc.d/init.d/asterisk
- added "export LD_ASSUME_KERNEL=2.4.1" for RH9
- asterisk.spec now builds cleanly on RH73 and RH9

* Wed Jan 21 2004 Gregory J. Boehnlein <damin@nacs.net> 
- Initial .spec file created. Most likely buggered. Badly needs help.
